Transfer as a delegate
curl --request POST \
--url https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/chains/{chain}/assets/{token}/delegations/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromAddress": "0x5e1a0d484c5f0de722e82f9dca3a9d5a421d47cb",
"toAddress": "0x9876543210fedcba9876543210fedcba98765432",
"amount": "100"
}
'import requests
url = "https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/chains/{chain}/assets/{token}/delegations/transfers"
payload = {
"fromAddress": "0x5e1a0d484c5f0de722e82f9dca3a9d5a421d47cb",
"toAddress": "0x9876543210fedcba9876543210fedcba98765432",
"amount": "100"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromAddress: '0x5e1a0d484c5f0de722e82f9dca3a9d5a421d47cb',
toAddress: '0x9876543210fedcba9876543210fedcba98765432',
amount: '100'
})
};
fetch('https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/chains/{chain}/assets/{token}/delegations/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"from": "0x1234567890abcdef1234567890abcdef12345678",
"to": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"data": "0x23b872dd...",
"value": "0x0"
}
],
"metadata": {
"amount": "100.0",
"amountRaw": "100000000",
"chainId": "eip155:1",
"delegateAddress": "0x1234567890abcdef1234567890abcdef12345678",
"ownerAddress": "0x5e1a0d484c5f0de722e82f9dca3a9d5a421d47cb",
"recipientAddress": "0x9876543210fedcba9876543210fedcba98765432",
"tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"tokenSymbol": "USDC",
"tokenDecimals": 6
}
}Delegations
Transfer as a delegate
Transfers tokens from a client on behalf of another address using delegated spending authority. Returns unsigned transaction(s) ready for signing.
POST
/
custodians
/
me
/
clients
/
{clientId}
/
chains
/
{chain}
/
assets
/
{token}
/
delegations
/
transfers
Transfer as a delegate
Authorizations
Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.
Path Parameters
The unique identifier of the client.
The blockchain chain identifier. Use either a friendly name or CAIP-2 format.
When using CAIP-2 format in URLs, ensure the colon (:) is URI-encoded as %3A.
Supported chains:
ethereum(eip155:1)sepolia(eip155:11155111)base(eip155:8453)base-sepolia(eip155:84532)polygon(eip155:137)polygon-amoy(eip155:80002)celo(eip155:42220)celo-alfajores(eip155:44787)monad(eip155:143)monad-testnet(eip155:10143)solana(solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp)solana-devnet(solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1)tron(tron:mainnet)tron-nile(tron:nile)tron-shasta(tron:shasta)stellar(stellar:pubnet)stellar-testnet(stellar:testnet)bitcoin-segwit(bip122:000000000019d6689c085ae165831e93-p2wpkh)bitcoin-segwit-testnet(bip122:000000000933ea01ad0ee984209779ba-p2wpkh)
The token symbol (e.g. USDC, ETH) or contract/mint address on the specified chain.
Body
application/json
Was this page helpful?